/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { WebGridBaseDirectiveDescription } from "./WebGridBaseDirectiveDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebPivotGridDescription = /*@__PURE__*/ (() => {
    class WebPivotGridDescription extends WebGridBaseDirectiveDescription {
        constructor() {
            super();
            this.hr = null;
            this.g9 = null;
            this.hc = false;
            this.hd = false;
            this.hh = null;
            this.hb = false;
            this.hm = null;
            this.hi = null;
            this.hq = null;
            this.ho = null;
            this.hl = null;
            this.hn = null;
            this.hs = null;
            this.hp = null;
            this.ht = null;
        }
        get_type() {
            return "WebPivotGrid";
        }
        get valueChipTemplateRef() {
            return this.hr;
        }
        set valueChipTemplateRef(a) {
            this.hr = a;
            this.e("ValueChipTemplateRef");
        }
        get pivotConfiguration() {
            return this.g9;
        }
        set pivotConfiguration(a) {
            this.g9 = a;
            this.e("PivotConfiguration");
        }
        get showPivotConfigurationUI() {
            return this.hc;
        }
        set showPivotConfigurationUI(a) {
            this.hc = a;
            this.e("ShowPivotConfigurationUI");
        }
        get superCompactMode() {
            return this.hd;
        }
        set superCompactMode(a) {
            this.hd = a;
            this.e("SuperCompactMode");
        }
        get dimensionDataColumns() {
            return this.hh;
        }
        set dimensionDataColumns(a) {
            this.hh = a;
            this.e("DimensionDataColumns");
        }
        get defaultExpandState() {
            return this.hb;
        }
        set defaultExpandState(a) {
            this.hb = a;
            this.e("DefaultExpandState");
        }
        get dataRef() {
            return this.hm;
        }
        set dataRef(a) {
            this.hm = a;
            this.e("DataRef");
        }
        get filteredData() {
            return this.hi;
        }
        set filteredData(a) {
            this.hi = a;
            this.e("FilteredData");
        }
        get emptyPivotGridTemplateRef() {
            return this.hq;
        }
        set emptyPivotGridTemplateRef(a) {
            this.hq = a;
            this.e("EmptyPivotGridTemplateRef");
        }
        get dimensionsChangeRef() {
            return this.ho;
        }
        set dimensionsChangeRef(a) {
            this.ho = a;
            this.e("DimensionsChangeRef");
        }
        get configurationChangeRef() {
            return this.hl;
        }
        set configurationChangeRef(a) {
            this.hl = a;
            this.e("ConfigurationChangeRef");
        }
        get dimensionInitRef() {
            return this.hn;
        }
        set dimensionInitRef(a) {
            this.hn = a;
            this.e("DimensionInitRef");
        }
        get valueInitRef() {
            return this.hs;
        }
        set valueInitRef(a) {
            this.hs = a;
            this.e("ValueInitRef");
        }
        get dimensionsSortingExpressionsChangeRef() {
            return this.hp;
        }
        set dimensionsSortingExpressionsChangeRef(a) {
            this.hp = a;
            this.e("DimensionsSortingExpressionsChangeRef");
        }
        get valuesChangeRef() {
            return this.ht;
        }
        set valuesChangeRef(a) {
            this.ht = a;
            this.e("ValuesChangeRef");
        }
    }
    WebPivotGridDescription.$t = /*@__PURE__*/ markType(WebPivotGridDescription, 'WebPivotGridDescription', WebGridBaseDirectiveDescription.$);
    return WebPivotGridDescription;
})();
